Subject: [os2genau_digest] No. 1672
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 14 Jul 2008 00:00:26 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 13 July 2008
 Number  1672
**************************************************

Subjects for today
 
1  Re:  IDE Raid : Chris Neeson" <neeson.cj.oz at gmail dot com>

**= Email   1 ==========================**

Date:  Sun, 13 Jul 2008 19:05:09 +1000
From:  "Chris Neeson" <neeson.cj.oz at gmail dot com>
Subject:  Re:  IDE Raid

fwiw, that one was a AHA 1200, Ed
- simplistic PCI IDE, no slots for RAM,
  which got me thinking ( mmmm ).

Yep, mirroring would be useful for
upgrade time ( a lurch in faith ).

My backup strategy for times like
that is a disk copy
- disks are cheap, particularly at the
  size I was using.

I think that'll do for talking about it,
I'll see what's going at the next
swap meet I get to.

Thanks,
Chris Neeson

On Thu, Jul 10, 2008 at 7:29 PM, Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
> Chris Neeson wrote:
>>
>> thanks for that, Ed.
>>
>> the adapter I saw was a simplistic Adaptec
>> IDE ATA ( naturally, at a swap meet ).
>>
>
>  Well that's not a bad thing - what is the model number ??
>>
>> My possibly naive assumption is that if the
>> main drive stops working, so would OS/2,
>> prompting a 'switch' to the mirror drive
>> ( 'switch' being in quotes because that
>>  would be a physical changeover )
>> - that kind of monitoring being extremely
>>  basic analogue & empirical!
>>
>>
>
>  With a mirrored drive, it's no so much a switch to another drive as a
> stopping of writing to one of the two drives. They are normally written and
> read in parrallel. But should one fail - you need to know about it to be
> able to fix it.
>
>> The only gain there is that I wouldn't
>> have to spend time on an install/rebuild
>> & restore
>> - but that would be a significant gain
>>  and saveing of time.
>>
>>
>
>  Another use of Mirrored RAID is when you are planning a major software
> upgrade that could go wrong. You disconnect one drive as this is an image
> backup of the other drive. Perform the upgrade, if all is OK, you can then
> reconnect the second drive and tell it to synchronise. If the update fails,
> disconnect that drive reconnect the other drive and boot up - your system is
> back as it was, then reconnect the "faulty image" drive and synchronise from
>  the good drive.
>
>  Of course to do this other than from BIOS or bootable CD, you would need
> utilities that run under  OS/2.
>>
>> It sounds like it might be 'worth' trying
>> in presumed moment of spare time
>> ( though I'll check the current cards
>>  before going ahead ).
>>
>>
>
>  Make sure you have a good backup before trying.
>>
>> Regards
>> Chris
>>
>>
>
> Cheers/2
>
> Ed.

> 

>
----------------------------------------------------------------------------------